Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -12,6 +12,7 @@
 %define build_fortran 1
 %define build_java 1
 %define build_objc 1
+%define run_tests 1
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -588,6 +589,7 @@ CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$
 #GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" bootstrap
 GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" profiledbootstrap
 
+%if %{run_tests}
 # run the tests.
 make %{?_smp_mflags} -k check RUNTESTFLAGS="ALT_CC_UNDER_TEST=gcc ALT_CXX_UNDER_TEST=g++" || :
 cd gcc
@@ -611,6 +613,7 @@ done
 tar cf - testlogs-%{_target_platform}-%{version}-%{release} | bzip2 -9c \
   | uuencode testlogs-%{_target_platform}.tar.bz2 || :
 rm -rf testlogs-%{_target_platform}-%{version}-%{release}
+%endif
 
 # Make protoize
 make -C gcc CC="./xgcc -B ./ -O2" proto
